Subject: Re: [media-types] DNS over HTTPS forthcoming Media Type Registration Notice

From: Martin J. Dürst <[email-masked]>
Date: Tue, 3 Jul 2018 18:51:19 +0900

Hello Ben,

If at all possible, please submit the registration templates here. That 
greatly increases the chance to get (potentially valuable) comments.

Regards,   Martin.

On 2018/06/28 00:45, Ben Schwartz wrote:
> Hello Media Type Experts,
> 
> In accordance with RFC 6838 Section 5.1, I would like to notify you that
> the forthcoming draft "DNS over HTTPS" will request a new media type,
> "application/dns-message".  See
> https://tools.ietf.org/html/draft-ietf-doh-dns-over-https-11#section-8.1.
> 
> I hope we're following this process correctly.
> 
> --Ben Schwartz, for the DOH Chairs

---

From: Ben Schwartz <[email-masked]>
Date: Tue, 3 Jul 2018 10:27:54 -0400

Here are the contents of Section 8.1, which matches the template form:

   MIME media type name: application

   MIME subtype name: dns-message

   Required parameters: n/a

   Optional parameters: n/a

   Encoding considerations: This is a binary format. The contents are a
   DNS message as defined in RFC 1035. The format used here is for DNS
   over UDP, which is the format defined in the diagrams in RFC 1035.

   Security considerations:  The security considerations for carrying
   this data are the same for carrying DNS without encryption.

   Interoperability considerations:  None.

   Published specification:  This document.

   Applications that use this media type:
     Systems that want to exchange full DNS messages.

   Additional information:

   Magic number(s):  n/a

   File extension(s):  n/a

   Macintosh file type code(s):  n/a

   Person & email address to contact for further information:
      Paul Hoffman, [email-masked]

   Intended usage:  COMMON

   Restrictions on usage:  n/a

   Author:  Paul Hoffman, [email-masked]

   Change controller:  IESG

---

From: Jo Wilkes <[email-masked]>
Date: Wed, 4 Jul 2018 13:39:22 +0200

Hello Ben,

are there no amendments or additions in regard to size limits (RFC 1035 section 2.3.4, section 4.2.1)?

Regards,
Jo

Am 2018-07-03 um 16:27 schrieb Ben Schwartz:
>       Paul Hoffman, [email-masked] <mailto:[email-masked]>
>
>    Intended usage:  COMMON
>
>    Author:  Paul Hoffman, [email-masked] <mailto:[email-masked]>
>
>    Change controller:  IESG
>
> On Tue, Jul 3, 2018 at 5:51 AM Martin J. Dürst <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hello Ben,
>
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types

---

From: Sean Leonard <[email-masked]>
Date: Wed, 18 Jul 2018 16:50:54 -0400

Looks okay to me. Be sure that the published specification is replaced with RFC XXXX (this should be obvious, but usually it is denoted as [[RFCXXXX]] or [[NOTE to Editor, etc. etc.]]).

Sean

> On Jul 3, 2018, at 10:27 AM, Ben Schwartz <bemasc=[email-masked]> wrote:
> 
> On Tue, Jul 3, 2018 at 5:51 AM Martin J. Dürst <[email-masked]> wrote:
> Hello Ben,
>